> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/xamarin/changelogs/version-7/v7-0-3.md).

# Version 7.0.3 Changelog (November 7, 2019)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

Version: 7.0.3

Release Date: November 7, 2019

## Notes

This release of Apryse for Xamarin brings the core PDF functionality and iOS and Android Tools functionality inline with version 7.0.3 of the iOS and Android SDKs. More information can be found on [What's New for iOS](/ios/changelogs/version-7/v7-0-3-72960.md) and [What's New for Android](/android/changelogs/version-7/v7-0-3.md).

## Xamarin.Android

### New features

* Text file with `.txt` extension is now supported
* Annotations can now optionally snap to square and aspect ratio

![](https://653871032-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgjsBtuYmcKhWOdM9VCg4%2Fuploads%2Fgit-blob-757f0cacca34e3d8328138ef51da06838eb30452%2F2fb85d6a4dcc680a5a8863978762ca77495132ba-501x901.gif?alt=media)

* Adds API to [show/hide view layers option](https://sdk.apryse.com/api/xamarinandroid/tools/api/pdftron.PDF.Config.ViewerConfig.Builder.html#pdftron_PDF_Config_ViewerConfig_Builder_ShowViewLayersToolbarOption_System_Boolean_) in toolbar
* Adds API to [permanently show/hide top toolbar](https://sdk.apryse.com/api/xamarinandroid/tools/api/pdftron.PDF.Config.ViewerConfig.Builder.html#pdftron_PDF_Config_ViewerConfig_Builder_PermanentTopToolbar_System_Boolean_)
* Adds API to [enable/disable turn page on tap](https://sdk.apryse.com/api/xamarinandroid/tools/api/pdftron.PDF.Tools.Utils.PdfViewCtrlSettingsManager.html#pdftron_PDF_Tools_Utils_PdfViewCtrlSettingsManager_SetAllowPageChangeOnTap_Android_Content_Context_System_Boolean_)

### Fixed

* Fixed issue where selection handle looks strange on some devices
* Fixed issue where reflow control does not update font size when turning pages in certain cases
* Fixed issue where the same page can be added to the user bookmarks multiple times
* Fixed issue where form toolbar always shows regardless of the configuration
* Fixed issue where saved signatures will come back after deleting them
* Fixed issue where FreeText is still removed even when `setDeleteEmptyFreeText` is set to false
* Fixed issue where signature does not appear in certain situations on slow devices
* Fixed infinite loop when trying to use signature tool while it is disabled

## Xamarin.iOS

### New features

* The bookmark/Outline/Annotation lists are shown side-by-side with the document on iPads. This is the new default behavior, which can be controlled with the `PTDocumentViewController` class's [`alwaysShowNavigationListsAsModal`](https://sdk.apryse.com/api/xamarinios/tools/api/pdftron.PDF.Controls.PTDocumentViewController.html#pdftron_PDF_Controls_PTDocumentViewController_AlwaysShowNavigationListsAsModal) property.

![](https://653871032-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgjsBtuYmcKhWOdM9VCg4%2Fuploads%2Fgit-blob-a4be8398998f5d8c78c56fd6b62ba6fd8d1294a2%2F028207c4aadb9e226a15b1f2913057bc789bb75d-2224x1668.png?alt=media)

* Thumbnail view can now filter to show only annotated or bookmarked pages.

![](https://653871032-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgjsBtuYmcKhWOdM9VCg4%2Fuploads%2Fgit-blob-34a89f0f1fe6a7ab58ac6d52d38243c1fc044361%2F1b56f71466c60a4db5efd9fc95c6a5cbfee3dedf-2224x1668.png?alt=media)

* Annotations are now selected instantly when tapped (without waiting to see if a double tap will occur).
* Full support for iOS 13 text selection gestures.
* PencilKit markup annotations are now saved back with higher quality.
* Annotations are can now be precisely repositioned with ease.
* Ability to resize an annotation while maintaining its aspect ratio.
* A optional [settings manager class](https://sdk.apryse.com/api/xamarinios/tools/api/pdftron.PDF.Utils.PTToolsSettingsManager.html) can now be used to save and toggle common user preferences. A [settings manager UI](https://sdk.apryse.com/api/xamarinios/tools/api/pdftron.PDF.Controls.PTToolsSettingsViewController.html) is also available.
* The annotation list will select (rather than flash) an annotation when one is selected from the list.
* Assorted UX improvements and bug fixes.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/xamarin/changelogs/version-7/v7-0-3.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
